SDL_GPUCommandBuffer(3type)

NAME
SDL_GPUCommandBuffer - An opaque handle representing a command buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUCommandBuffer SDL_GPUCommandBuffer;

DESCRIPTION
Most state is managed via command buffers. When setting state using a command buffer, that state is local to the command buffer.

Commands only begin execution on the GPU once SDL_SubmitGPUCommandBuffer is called. Once the command buffer is submitted, it is no longer valid to use it.

Command buffers are executed in submission order. If you submit command buffer A and then command buffer B all commands in A will begin executing before any command in B begins executing.

In multi-threading scenarios, you should only access a command buffer on the thread you acquired it from.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_AcquireGPUCommandBuffer(3), SDL_SubmitGPUCommandBuffer(3), SDL_SubmitGPUCommandBufferAndAcquireFence(3)